# Get all symbols and instruments

Depending on the query parameter, returns:
* All symbols supported in the system.
* All instruments supported by the requesting organization.

Endpoint: GET /v2/refdata/currencies
Version: 1.0.1
Security: SSO_TOKEN

## Query parameters:

  - `tradables` (boolean)
    Set to true to get all instruments supported by the requesting organization.

Omit to get all symbols supported in the system.

## Response 200 fields (application/json):

  - `body` (Array of All symbols (objects) or Array of All instruments (objects)) — one of:
    - All symbols:
      - `instrument` (string)
        Dealt instrument pair (currency, metal, energy, index, crypto), seven-character ISO code (for example, AUD/USD).
      - `spotPrecision` (number)
        Decimals to which the symbol is quoted for spot prices.
      - `spotPointsPrecision` (number)
        Decimals to which the symbol is quoted for spot points.
      - `forwardPointsPrecision` (number)
        Decimals to which the symbol is quoted for forward points.
      - `forwardRatePrecision` (number)
        Decimals to which the symbol is quoted for forward rates.
      - `pipsFactor` (number)
        The value x used for 1/x to determine the size of a pip. A value of 10000.0 results in 1/10,000th or decimalized to 0.0001.
      - `instrumentType` (string)
        * CURRENCY
* METAL
* INDEX
* ENERGY
* CRYPTO
      - `nonDeliverable` (boolean)
        Whether or not the symbol includes nondeliverable a instrument.
      - `spotValueDate` (string)
        The current spot date of the symbol in the format YYYY-MM-DD.
    - All instruments:
      - `shortName` (string)
        ID of the instrument.
      - `instrumentType` (string)
        * CURRENCY
* METAL
* INDEX
* ENERGY
* CRYPTO
      - `roundingType` (string)
        * ROUND_CEILING
* ROUND_DOWN
* ROUND_FLOOR
* ROUND_HALF_DOWN
* ROUND_HALF_EVEN
* ROUND_HALF_UP
* ROUND_UNNECESSARY
* ROUND_UP
      - `tickValue` (number)
        Tick increment.


## Response 404 fields
